<?php
/**
 * Code: HelloWorld
 */

namespace Lkn\HookNotification\Notifications\Chatwoot\HelloWorld;

use Lkn\HookNotification\Config\Platforms;
use Lkn\HookNotification\Config\Settings;
use Lkn\HookNotification\Domains\Platforms\Chatwoot\AbstractChatwootNotification;
use Lkn\HookNotification\Helpers\Config;
use Lkn\HookNotification\Helpers\Logger;

final class HelloWorldNotification extends AbstractChatwootNotification
{
    public string $notificationCode = 'HelloWorld';

    public function run(): bool
    {
        return $this->sendMessage();
    }

    public function sendMessage(): array|false
    {
        $clientId = $this->getClientIdByTicketId($this->hookParams['ticketid']);
        $wpInboxId = Config::get(Platforms::CHATWOOT, Settings::CW_WHATSAPP_INBOX_ID);

        $response = $this->api->sendMessageToClient($clientId, $wpInboxId, 'email', 'It"s the message');

        $this->report($response, 'ticket', $this->hookParams['ticketid']);

        Logger::log('Send HelloWorld message', []);

        return $response;
    }
}
