<?php

/**
 * Code: HelloWorld
 */

namespace Lkn\HookNotification\Notifications\WhatsApp\HelloWorld;

use Lkn\HookNotification\Domains\Platforms\WhatsApp\AbstractWhatsAppNotifcation;

final class HelloWorldNotification extends AbstractWhatsAppNotifcation
{
    public string $notificationCode = 'HelloWorld';

    public function run(): bool
    {
        $this->setClientId($this->getClientIdByTicketId($this->hookParams['ticketid']));

        $response = $this->sendMessage();

        $success = isset($response['messages'][0]['id']);

        return $success;
    }

    public function defineParameters(): void
    {
        $this->parameters = [
            'parameter_1' => [
                'label' => $this->lang['parameter_1'],
                'parser' => fn () => $this->hookParams['ticketid']
            ],
            'parameter_2' => [
                'label' => $this->lang['parameter_2'],
                'parser' => fn () => $this->hookParams['subject']
            ],
            'parameter_3' => [
                'label' => $this->lang['parameter_3'],
                'parser' => fn () => $this->getClientFirstNameByClientId($this->clientId)
            ],
            'parameter_4' => [
                'label' => $this->lang['parameter_4'],
                'parser' => fn () => $this->getClientFullNameByClientId($this->clientId)
            ]
        ];
    }
}
