/* global request LknHookNotModal */

const selectCont = document.getElementById('cont-admin-invoices-select')
const selectNotifs = document.getElementById('select-notif')
const btnSendNotif = document.getElementById('btn-send-notification')

selectNotifs.addEventListener('change', evt => {
  const value = evt.target.value

  btnSendNotif.disabled = value === ''
})

if (window.hasOwnProperty('lknHookNotificationOptions')) {
  window.lknHookNotificationOptions.forEach(notif => {
    const option = document.createElement('option')

    option.text = notif.label
    option.value = notif.code

    selectNotifs.add(option)
  })

  selectCont.style.display = 'block'

  btnSendNotif.addEventListener('click', evt => {
    const params = new URLSearchParams(window.location.search)
    const invoiceId = params.get('id')

    btnSendNotif.disabled = true

    request('run-manual-notification', { notifCode: selectNotifs.value, invoiceId, platform: 'wp' })
      .then(res => res.json())
      .then(res => {
        if (res.success) {
          LknHookNotModal
            .reset()
            .setTitle(window.lknHn.lang.notification_sent)
            .setSimpleBody(window.lknHn.lang.notification_sent_success)
            .show()
        } else {
          const reason = res?.data?.reason ?? window.lknHn.lang.notification_send_failed

          LknHookNotModal
            .reset()
            .setTitle(window.lknHn.lang.notification_send_failed)
            .setSimpleBody(reason)
            .show()
        }
      })
      .catch(() => {
        LknHookNotModal
          .reset()
          .setTitle(window.lknHn.lang.notification_send_failed)
          .setSimpleBody(window.lknHn.lang.notification_send_failed)
          .show()
      })
      .finally(() => {
        btnSendNotif.disabled = false
      })
  })
}
