<a
    href="#"
    data-toggle="modal"
    data-target="#lknhooknotification-reports-modal"
><img
        src="images/icons/ticketspredefined.png"
        border="0"
        align="absmiddle"
    > {$lang->notifications_relatory}</a>

<div
    id="lknhooknotification-reports-modal"
    class="modal fade"
    tabindex="-1"
    role="dialog"
>
    <div
        class="modal-dialog modal-lg"
        role="document"
    >
        <div class="modal-content">
            <div class="modal-header">
                <button
                    type="button"
                    class="close"
                    data-dismiss="modal"
                    aria-label="Close"
                    style="transform: scale(1.6);"
                >
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">{$lang->client_notifications_relatory}</h4>
            </div>
            <div
                class="modal-body"
                style="overflow-y: auto; overflow-x: auto; max-height: 80vh;"
            >
                <div>
                    {if count($reports) === 0}
                        <p>{$lang->still_no_relatory}</p>
                    {else}
                        <div class="panel panel-default">
                            <table class="table table-hover">
                                <thead>
                                    <tr>
                                        <th>{$lang->status}</th>
                                        <th>{$lang->date}</th>
                                        <th>{$lang->platform}</th>
                                        <th>
                                            <span
                                                data-toggle="tooltip"
                                                data-placement="top"
                                                title="Referente a plataformas, como o Chatwoot que pode lidar com e-mail, Messenger, WhatsApp."
                                            >
                                                {$lang->channel}
                                            </span>
                                        </th>
                                        <th>{$lang->notification}</th>
                                        <th>{$lang->category}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {foreach from=$reports item=$report}
                                        <tr>
                                            <td>
                                                <span class="label label-{($report->status === 'sent') ? 'success' : 'danger'}">
                                                    {($report->status === 'sent') ? 'Enviado' : 'Erro'}
                                                </span>
                                            </td>
                                            <td>
                                                {$report->created_at|date_format:"%d/%m/%Y às %H:%M"}
                                            </td>
                                            <td>
                                                {($report->platform === 'wp') ? 'WhatsApp' : 'Chatwoot'}
                                            </td>
                                            <td>{$report->channel}</td>
                                            <td>{$report->notification}</td>
                                            <td>
                                                {if $report->category === 'invoice'}
                                                    {assign "category_link" "invoices.php?action=edit&id="}
                                                    {assign "category_label" {$lang->invoice}}
                                                {elseif $report->category === 'order'}
                                                    {assign "category_link" "orders.php?action=view&id="}
                                                    {assign "category_label" {$lang->order}}
                                                {elseif $report->category === 'ticket'}
                                                    {assign "category_link" "supporttickets.php?action=view&id="}
                                                    {assign "category_label" {$lang->ticket}}
                                                {else}
                                                {/if}
                                                <a
                                                    target="_blank"
                                                    href="{$category_link}{$report->category_id}"
                                                >
                                                    {$category_label} #{$report->category_id}
                                                </a>
                                            </td>
                                        </tr>
                                    {/foreach}
                                </tbody>
                            </table>
                        </div>
                        <div style="text-align: center;">
                            {if $totalReports - count($reports) === 0}
                                {$lang->all_relatory_listed}
                            {else}
                                {assign "reamingReports" value=$totalReports - count($reports)}
                                {$lang->there_is_more_qty_relatories|replace:"qty":$reamingReports} <a
                                    href="addonmodules.php?module=lknhooknotification&c=admin&r=reports"
                                >{$lang->view}</a>
                            {/if}
                        </div>

                    {/if}
                </div>
            </div>
            <div class="modal-footer">
                <button
                    class="btn btn-block btn-primary"
                    type="button"
                    data-dismiss="modal"
                >
                    {$lang->close}
                </button>
            </div>
        </div>
    </div>
</div>
