{extends "../../layout.tpl"}
{$menuItem="admin.chatwoot"}
{$page="admin.chatwoot.index"}

{block "title"}
    {$lang->chatwoot_general_settings}
{/block}

{block "content"}
    <form
        class="form-horizontal"
        style="max-width: 850px;"
        method="POST"
        target="_self"
        action=""
    >
        <h2>{$lang->api_credentials}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->chatwoot_url}</label>
                <span class="help-block lknhn-help-block">
                    <p>{$lang->chatwoot_url_description}</p>
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    name="url"
                    type="url"
                    class="form-control"
                    maxlength="255"
                    value="{$url}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->chatwoot_api_token}</label>
                <span class="help-block lknhn-help-block">
                    <p>{$lang->chatwoot_api_token_description}</p>
                    {if $url and $account_id}
                        <a
                            href="{$url}/app/accounts/{$account_id}/profile/settings"
                            class="link-underline link-underline-opacity-0 link-underline-opacity-100-hover test-md"
                            style="width: 150px;"
                        >{$lang->cw_button_checkcw}</a>
                    {/if}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    name="api-access-token"
                    type="password"
                    class="form-control"
                    maxlength="255"
                    value="{$api_access_token}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->chatwoot_account_id}</label>
                <span class="help-block lknhn-help-block">
                    <p>{$lang->chatwoot_account_id_description}</p>
                    {if $url and $account_id}
                        <a
                            href="{$url}/app/accounts/{$account_id}/settings/general"
                            class="link-underline link-underline-opacity-0 link-underline-opacity-100-hover test-md"
                            style="width: 150px;"
                        >{$lang->cw_button_checkcw}</a>
                    {/if}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="account-id"
                    name="account-id"
                    class="form-control"
                    type="number"
                    min="1"
                    max="100000"
                    value="{$account_id}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->chatwoot_inboxes}</label>
                <span class="help-block lknhn-help-block">
                    <p>{$lang->chatwoot_inbox_id_description}</p>
                    {if $url and $account_id}
                        <a
                            href="{$url}/app/accounts/{$account_id}/settings/inboxes/list"
                            class="link-underline link-underline-opacity-0 link-underline-opacity-100-hover test-md"
                            style="width: 150px;"
                        >{$lang->cw_button_checkcw}</a>
                    {/if}
                </span>
            </div>

            <div class="col-sm-5">
                <div class="row">
                    <div class="col-sm-12 form-group">
                        <label class="col-lg-3 control-label">{$lang->whatsapp}</label>
                        <div class="col-lg-6">
                            <input
                                id="whatsapp-inbox-id"
                                name="whatsapp-inbox-id"
                                class="form-control"
                                type="number"
                                min="1"
                                max="100000"
                                value="{$wp_inbox_id}"
                            >
                        </div>
                    </div>

                    <div class="col-sm-12 form-group">
                        <label class="col-lg-3 control-label">{$lang->facebook}</label>
                        <div class="col-lg-6">
                            <input
                                id="facebook-inbox-id"
                                name="facebook-inbox-id"
                                class="form-control"
                                type="text"
                                max="100000"
                                value="{$fb_inbox_id}"
                            >
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <h2 style="margin-top: 35px;">{$lang->platform_settings}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->listen_to_whatsapp}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->listen_to_whatsapp_description}
                    </p>
                    <p>
                        {$lang->whatsapp_configuration_note}
                    </p>
                    <p>
                        {$lang->whatsapp_inbox_id_required}
                    </p>
                </span>
            </div>

            <div class="col-sm-5 form-group">
                <div
                    class="col-xs-1"
                    style="margin-right: 8px;"
                >
                    <input
                        id="listen-whatsapp"
                        name="listen-whatsapp"
                        type="checkbox"
                        {($listen_wp) ? 'checked' : ''}
                    >
                </div>
                <label
                    for="listen-whatsapp"
                    style="font-weight: normal;"
                >{$lang->listen_to_whatsapp}</label>
            </div>
        </div>

        <input
            type="hidden"
            name="update-index"
        >

        <div
            class="lknhn-btn-form-cont form-group"
            style="margin: 55px 0px;"
        >
            <button
                type="submit"
                class="btn btn-primary btn-sm"
                style="width: 200px;"
            >{$lang->save}</button>
        </div>
    </form>
{/block}