/* globals LknHookNotModal request */
const btnsDisableAssocs = document.querySelectorAll('.btn-notif-action')

btnsDisableAssocs.forEach(element => {
  element.addEventListener('click', async event => {
    const notificationCode = event.target.dataset.notificationCode
    const activateOrInactivate = event.target.dataset.action

    const toggleRequest = () => {
      request('cw-toggle-notif-active-status', { notificationCode, activateOrInactivate })
        .then(res => res.json())
        .then(res => {
          if (res.success) {
            const msg = activateOrInactivate === 'activate' ? window.lknHn.lang.notification_activated_success : window.lknHn.lang.notification_deactivated_success

            LknHookNotModal
              .reset()
              .setTitle(msg)
              .setSimpleBody(msg)
              .show()

            setTimeout(() => window.location.reload(), 900)
          } else {
            const msg = res?.data?.reason ?? (activateOrInactivate === 'activate' ? window.lknHn.lang.notification_deactivation_failed : window.lknHn.lang.notification_activation_failed)

            LknHookNotModal
              .reset()
              .setTitle(msg)
              .setSimpleBody(msg)
              .show()
          }
        })
        .catch(() => {
          const msg = window.lknHn.lang.notification_activation_failed

          LknHookNotModal
            .reset()
            .setTitle(msg)
            .setSimpleBody(msg)
            .show()
        })
    }

    LknHookNotModal
      .setTitle(window.lknHn.lang.confirmation)
      .setSimpleBody(activateOrInactivate === 'activate' ? window.lknHn.lang.enable_notifification_confirmation : window.lknHn.lang.disable_notifification_confirmation)
      .setSecondaryBtnWithCallback(activateOrInactivate === 'activate' ? window.lknHn.lang.activate : window.lknHn.lang.deactivate, toggleRequest)
      .show()
  })
})
