{extends "../../layout.tpl"}
{$menuItem="admin.chatwoot"}
{$page="admin.cw.widget"}

{block "title"}
    {$lang->cw_live_chat_settings}
    <span class="help-block lknhn-help-block">
        <h5>
            {$lang->cw_live_chat_subtitle}
        </h5>
    </span>
{/block}

{block "content"}
    <form
        class="form-horizontal"
        style="max-width: 850px;"
        method="POST"
        target="_self"
        action=""
    >
        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->cw_enable_live_chat}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->cw_enable_live_chat_descrip}
                    </p>
                </span>
            </div>

            <div class="col-sm-5 form-group">
                <div
                    class="col-xs-1"
                    style="margin-right: 8px;"
                >
                    <input
                        id="enable-live-chat"
                        name="enable-live-chat"
                        type="checkbox"
                        {($cw_enable_live_chat) ? 'checked' : ''}
                    >
                </div>
                <label
                    for="enable-live-chatwoot"
                    style="font-weight: normal;"
                >{$lang->cw_enable_live_chat}</label>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->cw_user_identify_validation_secret}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->cw_user_identify_validation_secret_descrip}
                    </p>
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    class="form-control"
                    name="cw_live_chat_user_identity_token"
                    value="{$cw_live_chat_user_identity_token}"
                    type="password"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->cw_website_token}</label>
                <span class="help-block lknhn-help-block">
                    <p>{$lang->cw_website_token_descrip}</p>
                    {if $cw_url and $cw_account_id}
                        <a
                            href="{$cw_url}/app/accounts/{$cw_account_id}/settings/inboxes/list"
                            class="link-underline link-underline-opacity-0 link-underline-opacity-100-hover test-md"
                            style="width: 150px;"
                        >{$lang->cw_button_checkcw}</a>
                    {/if}
                </span>
            </div>

            <div class="col-sm-5">
                <textarea
                    name="cw-script"
                    class="form-control"
                    rows="3"
                    style="font-family: monospace; resize: none; min-height: 350px; max-height: 350px; min-width: 450px; max-width: 450px;"
                >{$cw_live_chat_script}</textarea>
            </div>
        </div>

        <hr>

        <h2>{$lang->customization}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->cw_stats_to_send}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->cw_stats_to_send_descrip}
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    name="client-stats-to-send[]"
                    class="form-control"
                    multiple
                    style="min-height: 200px;"
                >
                    {foreach from=$cw_stats_to_send_options item=$option}
                        <option
                            value="{$option['value']}"
                            {if in_array($option['value'], (($cw_live_chat_client_stats_to_send) ? $cw_live_chat_client_stats_to_send : []))}selected{/if}
                        >{$option['label']}</option>
                    {/foreach}
                </select>
                <small>{$lang->multiple_selection_tip}</small>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->cw_custom_fields_to_send}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->cw_custom_fields_to_send_descrip}
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    name="custom-fields-to-send[]"
                    class="form-control"
                    multiple
                    style="min-height: 200px;"
                >
                    {foreach from=$cw_custom_fields_to_send_options item=$option}
                        <option
                            value="{$option['value']}"
                            {if in_array($option['value'], (($cw_live_chat_custom_fields_to_send) ? $cw_live_chat_custom_fields_to_send : []))}selected{/if}
                        >{$option['label']}</option>
                    {/foreach}
                </select>
                <small>{$lang->multiple_selection_tip}</small>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->cw_modules_attrs_to_send}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->cw_modules_attrs_to_send_descrip}
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    name="modules-attrs-to-send[]"
                    class="form-control"
                    multiple
                    style="min-height: 200px;"
                >
                    {foreach from=$cw_module_attrs_to_send_options item=$option}
                        <option
                            value="{$option['value']}"
                            {if in_array($option['value'], (($cw_live_chat_modules_attrs_to_send) ? $cw_live_chat_modules_attrs_to_send : []))}selected{/if}
                        >{$option['label']}</option>
                    {/foreach}
                </select>
                <small>{$lang->multiple_selection_tip}</small>
            </div>
        </div>

        <input
            type="hidden"
            name="update-index"
        ></input>

        <div
            class="lknhn-btn-form-cont form-group"
            style="margin: 55px 0px;"
        >
            <button
                type="submit"
                class="btn btn-primary btn-sm"
                style="width: 200px;"
            >{$lang->save}</button>
        </div>
    </form>
{/block}