{extends "../layout.tpl"}
{$page="admin.index"}

{block 'title'}
    {$lang->home}
{/block}

{block "content"}
    <div class="row">
        {if !$dismissWelcome}
            <div class="col-md-12">
                <div
                    class="alert alert-success alert-dismissible fade in"
                    role="alert"
                >
                    <a
                        type="button"
                        class="close"
                        data-dismiss="alert"
                        aria-label="Close"
                        href="?module=lknhooknotification&c=admin&r=index&dismiss-welcome=1"
                    >
                        <span aria-hidden="true"><i class="fas fa-times"></i></span>
                    </a>
                    <h4 style="margin-bottom: 30px;">
                        <strong>
                            <span style="display: block;">{$lang->module_is_enabled}</span><br>
                            <span>{$lang->follow_the_next_steps_to_enable_the_notifications}</span>
                        </strong>
                    </h4>
                    <p style="margin-bottom: 30px;">
                    <ol type="1">
                        <li>
                            {$lang->access_whatsapp_settings_and_fill_credentials}
                        </li><br>

                        <li>
                            {$lang->download_notifications_clicking_here}
                        </li><br>

                        <li>{$lang->unzip_and_choose_the_notifications}</li><br>

                        <li>{$lang->upload_notifications_to_module_folder}
                        </li><br>

                        <li>
                            {$lang->now_activate_the_notifications_of_whatsapp}
                        </li><br>
                    </ol>
                    </p>
                    <p class="margin-bottom: 35px;">
                        {$lang->free_plan_limits}
                    </p>
                </div>
            </div>
        {/if}

        <div class="col-xs-12 col-sm-12">
            <div class="row">
                <div class="col-md-12">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <div class="col-md-12">
                                <div style="display: flex; align-items: center;">
                                    <p
                                        class="lead"
                                        style="margin-right: 10px;margin-bottom: 0px;"
                                    ><strong>{$lang->plan}</strong></p>
                                    <span
                                        class="label {($licenseStatus == 'Pró') ? 'label-success' : 'label-default'}"
                                        style="padding: 6px 10px;"
                                    >{$licenseStatus}</span>
                                </div>
                            </div>

                            {if $licenseStatus !== 'Pró'}
                                <div class="col-md-12">
                                    <p>{$lang->free_plan_notification_limit}</p>
                                </div>
                            {/if}
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div class="col-xs-12 col-md-6 col-lg-4">
            <div class="panel panel-default">
                <div class="panel-body">
                    <h2 style="margin-left: 15px; display: flex; justify-content: space-between;">
                        {$lang->contribute_or_request_features}
                        <i class="far fa-external-link"></i>
                    </h2>
                    <hr>
                    <ul class="nav nav-pills nav-stacked">
                        <li role="presentation">
                            <a
                                href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/issues/new?assignees=&labels=bug%2C+help+wanted&projects=&template=bug_report.md&title=%5BBUG%5D"
                                target="_blank"
                            >
                                <i class="fas fa-exclamation-triangle"></i> {$lang->report_error_action}
                            </a>
                        </li>
                        <li role="presentation">
                            <a
                                href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/issues/new?assignees=&labels=enhancement&projects=&template=feature_request.md&title=%5BFEATURE%5D"
                                target="_blank"
                            >
                                <i class="fas fa-plus-circle"></i> {$lang->request_new_feature_action}
                            </a>
                        </li>
                        <li role="presentation">
                            <a
                                href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/wiki/How-to-create-a-notification-by-yourself"
                                target="_blank"
                            >
                                <i class="far fa-code"></i> {$lang->create_your_own_notification}
                            </a>
                        </li>
                        <li role="presentation">
                            <a
                                href="https://linknacional.github.io/whmcs-whatsapp-api-notifications-open-source/indices/files.html"
                                target="_blank"
                            >
                                <i class="fas fa-file-alt"></i> {$lang->technical_documentation}
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div class="col-xs-12 col-md-6 col-lg-4">
            <div class="panel panel-default">
                <div class="panel-body">
                    <h2 style="margin-left: 15px; display: flex; justify-content: space-between;">
                        {$lang->documentation}
                        <i class="far fa-external-link"></i>
                    </h2>
                    <hr>
                    <ul class="nav nav-pills nav-stacked">
                        <li role="presentation">
                            <a
                                href="https://www.linknacional.com.br/whmcs/whatsapp/"
                                target="_blank"
                            >
                                <i class="fas fa-cog"></i> {$lang->module_setup}
                            </a>
                        </li>
                        <li role="presentation">
                            <a
                                href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/wiki/How-to-install-more-notifications"
                                target="_blank"
                            >
                                <i class="fas fa-cloud-download"></i> {$lang->install_new_notifications}
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>

{/block}
