{extends "../layout.tpl"}
{$page="admin.settings"}

{block "title"}
    {$lang->general_settings}
    <a
        class="btn btn-xs btn-link"
        href="https://www.linknacional.com.br/whmcs/whatsapp/"
        target="_blank"
    >
        {$lang->module_setup}
    </a>
{/block}

{block "content"}
    <form
        class="form-horizontal"
        style="max-width: 850px;"
        method="POST"
        target="_self"
        action=""
    >

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->language}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->language_descrip}
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    class="form-control"
                    name="language"
                    required
                >
                    <option
                        {if {$language === 'english'}}selected{/if}
                        value="english"
                    >English</option>
                    <option
                        {if {$language === 'portuguese-br'}}selected{/if}
                        value="portuguese-br"
                    >Português (BR)</option>
                    <option
                        {if {$language === 'portuguese-pt'}}selected{/if}
                        value="portuguese-pt"
                    >Português (PT)</option>
                </select>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->license}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->premium_license}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="lkn-license"
                    class="form-control"
                    name="lkn-license"
                    type="password"
                    value="{$lkn_license}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->default_client_name}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->default_client_name_description}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="default-client-name"
                    name="default-client-name"
                    class="form-control"
                    required
                    value="{$default_client_name}"
                    maxlength="255"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->notification_reports_display}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->notification_reports_display_description}
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    name="object-pages-to-show-reports[]"
                    class="form-control"
                    multiple
                >
                    <option
                        value="invoice"
                        {if in_array('invoice', ($object_pages_to_show_reports) ? $object_pages_to_show_reports : [])}selected{/if}
                    >{$lang->invoices}</option>
                </select>
                <small>{$lang->multiple_selection_tip}</small>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->enable_logs}</label>
                <span class="help-block lknhn-help-block">
                    <a
                        style="color: #777;"
                        href="logs/module-log"
                    >
                        {$lang->access_logs}
                    </a>
                </span>
            </div>

            <div class="col-sm-5 form-group">
                <div
                    class="col-xs-1"
                    style="margin-right: 8px;"
                >
                    <input
                        type="checkbox"
                        name="enable-log"
                        {($enable_log) ? 'checked' : ''}
                    >
                </div>
                <label
                    for="listen-whatsapp"
                    style="font-weight: normal;"
                >{$lang->enable_logs}</label>
            </div>
        </div>

        <input
            type="hidden"
            name="update-index"
        >

        <div
            class="lknhn-btn-form-cont form-group"
            style="margin: 55px 0px;"
        >
            <button
                type="submit"
                class="btn btn-primary btn-sm"
                style="width: 200px;"
            >{$lang->save}</button>
        </div>
    </form>
{/block}
