{extends "../../layout.tpl"}
{$menuItem="admin.wp"}
{$page="admin.wp.create_assoc"}

{block 'title'}
    {$lang->configure_notification}
{/block}

{block "content"}
    {include file="../../../modal/index.tpl"}
    <div>
        <div class="row">
            <form
                id="wp-association-form"
                class="col-md-6"
            >
                <div class="row">
                    {if !$isEditMode}
                        <div class="col-md-12">
                            <div
                                class="alert alert-info"
                                role="alert"
                                style="margin-bottom: 50px;"
                            >
                                <p style="text-align: center; width: 70%; margin: 0 auto;">
                                    <i class="fas fa-caret-right fa-lg"></i>
                                    {$lang->select_notification_tip}
                                </p>
                            </div>
                        </div>
                    {/if}

                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{$lang->notification}</label>
                            <select
                                id="notif-code-select"
                                name="hook"
                                class="custom-select form-control"
                                required
                                {if $isEditMode}
                                    disabled
                                {/if}
                            >
                                <option value="">{$lang->select_notification}</option>
                                {foreach from=$notificationsLabelsList item=item}
                                    <option
                                        {if $preSelectedNotif===$item['code'] || ($isEditMode && $item['code']==$assoc['notification'])}
                                            selected
                                        {/if}
                                        value="{{$item['code']}}"
                                    >{{$item['name']}}</option>
                                {/foreach}
                            </select>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <div class="form-group">
                            <label>{$lang->message_template}</label>
                            <div class="form-group">
                                <select
                                    id="message-template-select"
                                    name="template-name"
                                    class="body-param-replace-select custom-select form-control"
                                    required
                                    {if !isset($preSelectedNotif)}
                                        disabled
                                    {/if}
                                >
                                    <option value="">{$lang->select_message_template}</option>
                                    {foreach from=$messageTemplateLabels item=item}
                                        <option
                                            {($item==$assoc['template'])? 'selected': ''}
                                            value="{$item}"
                                        >{$item}</option>
                                    {/foreach}
                                </select>
                            </div>
                        </div>
                    </div>
                </div>

                <hr>

                <div
                    id="components-root"
                    style="display: none;"
                    class="row"
                >
                    <div class="col-md-12">
                        <div
                            class="alert alert-info"
                            role="alert"
                        >
                            <p style="text-align: center; width: 70%; margin: 0 auto;">
                                <i class="fas fa-caret-right fa-lg"></i>
                                {$lang->select_notification_description}
                            </p>
                        </div>
                    </div>
                    <div
                        id="header-component-root"
                        class="col-md-12"
                    >
                        <h2>
                            <i class="fas fa-heading"></i>
                            {$lang->header}
                            <span class="label label-primary"></span>
                        </h2>
                        <div class="well">
                            <p
                                id="header-component-params-root"
                                style="line-height: 35px; margin-bottom: 0px; text-align: center;"
                            >

                            </p>
                        </div>
                    </div>

                    <div
                        id="body-component-root"
                        class="col-md-12"
                    >
                        <h2><i class="fas fa-comment-dots"></i> {$lang->body}</h2>
                        <div class="well">
                            <p
                                id="body-component-params-root"
                                style="line-height: 35px; margin-bottom: 0px;"
                            >

                            </p>
                        </div>
                    </div>

                    <div
                        id="footer-component-root"
                        class="col-md-12"
                    >
                        <h5><i class="fas fa-comment-dots"></i> {$lang->footer}</h5>
                        <div class="well">
                            <p
                                id="footer-component-params-root"
                                style="margin-bottom: 0px; font-size: 0.9em;"
                            >

                            </p>
                        </div>
                    </div>

                    <div
                        id="button-components-root"
                        class="col-md-12"
                    >
                        <h2><i class="fas fa-hand-pointer"></i> {$lang->buttons}</h2>
                        <div id="button-component-params-root">

                        </div>
                    </div>

                    <div
                        class="lknhn-btn-form-cont col-md-12 text-center"
                        style="padding: 23px 50px 150px; text-align: center;"
                    >
                        <a
                            class="btn btn-danger btn-sm"
                            style="width: 200px; margin-bottom: 25px;"
                            href="?module=lknhooknotification&c=wp&r=indexAssoc"
                        >
                            {$lang->cancel}
                        </a>

                        <button
                            class="btn btn-primary btn-sm"
                            id="btn-add-association"
                            style="width: 200px; margin-bottom: 25px;"
                            type="button"
                            form="wp-association-form"
                        >{$lang->save}</button>
                    </div>
                </div>

                <input
                    type="hidden"
                    name="lkn-hook-notification-wp-create-assoc"
                >
            </form>

            {if $isEditMode && !empty($notificationSettings)}
                <form
                    class="col-md-6"
                    action=""
                    method="POST"
                >
                    <h2>{$lang->notificaion_custom_settings}</h2>

                    <hr>

                    {foreach from=$notificationSettings item=$setting}
                        <div class="form-group">
                            {if $setting['type'] === 'checkbox'}
                                <div
                                    class="col-md-5"
                                    style="margin-right: 25px;"
                                >
                                    <label
                                        for="{$setting['id']}"
                                        class="control-label lknhn-control-label"
                                    >{$setting['label']}</label>
                                    <span class="help-block lknhn-help-block">
                                        {$setting['descrip']}
                                    </span>
                                </div>

                                <div class="col-md-5 form-group">
                                    <div
                                        class="col-xs-1"
                                        style="margin-right: 8px;"
                                    >
                                        <input
                                            type="checkbox"
                                            id="{$setting['id']}"
                                            name="{$setting['id']}"
                                            {if $setting['value']}checked{/if}
                                        >
                                    </div>
                                </div>
                            {/if}
                        </div>
                    {/foreach}
                    <div class="col-md-12">
                        <button
                            class="btn btn-primary btn-sm"
                            style="width: 200px; margin-bottom: 25px;"
                            type="submit"
                        >{$lang->save}</button>
                    </div>
                </form>
            {/if}
        </div>
    </div>

    <script type="text/javascript">
        const LKN_CSRF_TOKEN = '{$csrfToken}'
        const ASSOC = {(isset($assocJson) == true) ? $assocJson : 'null'}
        const MESSAGE_TEMPLATES = {$templates}
        const isEditMode = {$isEditMode}
    </script>
    <script src="/modules/addons/lknhooknotification/src/resources/views/js/utils.js"></script>
    <script
        src="/modules/addons/lknhooknotification/src/resources/views/admin/pages/wp/js/edit_or_create_assoc.js"
        defer
    >
    </script>
{/block}
