{extends "../../layout.tpl"}
{$menuItem="admin.wp"}
{$page="admin.wp.index"}

{block "title"}
    {$lang->whatsapp_general_settings}
{/block}

{block "content"}
    <form
        class="form-horizontal"
        style="max-width: 850px;"
        method="POST"
        target="_self"
        action=""
    >

        <h2>{$lang->api_credentials}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->user_access_token}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->user_access_token_description}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="user-access-token"
                    name="user-access-token"
                    class="form-control"
                    type="password"
                    value="{$user_access_token}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->business_account_id}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->business_account_id_description}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="business-account-id"
                    name="business-account-id"
                    class="form-control"
                    type="password"
                    required
                    value="{$business_account_id}"
                >
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->phone_number_id}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->phone_number_id_description}
                </span>
            </div>

            <div class="col-sm-5">
                <input
                    id="_phone-number-id"
                    name="_phone-number-id"
                    class="form-control"
                    type="password"
                    required
                    value="{$phone_number_id}"
                >
            </div>
        </div>

        <h2 style="margin-top: 35px;">{$lang->platform_settings}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->whatsapp_custom_field_id}</label>
                <span class="help-block lknhn-help-block">
                    {$lang->whatsapp_custom_field_description}
                    <strong>
                        {$lang->whatsapp_custom_field_note}
                    </strong>
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    id="wp-custom-field-id"
                    name="wp-custom-field-id"
                    class="form-control"
                >
                    <option value="use-whmcs-default-phone-field">{$lang->use_whmcs_default_phone_field}</option>
                    {foreach from=$customFieldsLabels item=customField}
                        {if {$customField->type === 'client'}}
                            <option
                                {($customField->id == $custom_field_id) ? 'selected' : ''}
                                value="{$customField->id}"
                            >
                                {$customField->id} - {$customField->label}
                            </option>
                        {/if}
                    {/foreach}
                </select>
            </div>
        </div>

        <h2 style="margin-top: 35px;">{$lang->notifications_settings}</h2>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->invoice_reminder}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->invoice_reminder_description}
                    </p>
                </span>
            </div>

            <div class="col-sm-5 form-group">
                <div
                    class="col-xs-1"
                    style="margin-right: 8px;"
                >
                    <input
                        id="show-invoice-reminder-button"
                        name="show-invoice-reminder-button"
                        type="checkbox"
                        {($show_invoice_reminder_btn) ? 'checked' : ''}
                    >
                </div>
                <label
                    for="show-invoice-reminder-button"
                    style="font-weight: normal;"
                >{$lang->display_button_paid_invoices}</label>
            </div>
        </div>

        <hr>

        <div class="form-group">
            <div
                class="col-sm-5"
                style="margin-right: 25px;"
            >
                <label class="control-label lknhn-control-label">{$lang->ticket_answered_must_follow_custom_field}</label>
                <span class="help-block lknhn-help-block">
                    <p>
                        {$lang->ticket_answered_must_follow_custom_field_descrip}
                    </p>
                </span>
            </div>

            <div class="col-sm-5">
                <select
                    id="wp-use-ticket-whatsapp-cf-when-set"
                    name="wp-use-ticket-whatsapp-cf-when-set"
                    class="form-control"
                >
                    <option value="disabled">{$lang->use_client_phone_or_whatsapp_cf}</option>
                    {foreach from=$customFieldsLabels item=customField}
                        {if {$customField->type === 'support'}}
                            <option
                                {($customField->id == $wp_use_ticket_whatsapp_cf_when_set) ? 'selected' : ''}
                                value="{$customField->id}"
                            >
                                {$customField->id} - {$customField->label}
                            </option>
                        {/if}
                    {/foreach}
                </select>
            </div>
        </div>

        <input
            type="hidden"
            name="update-index"
        >

        <div
            class="lknhn-btn-form-cont form-group"
            style="margin: 55px 0px;"
        >
            <button
                type="submit"
                class="btn btn-primary btn-sm"
                style="width: 200px;"
            >{$lang->save}</button>
        </div>
    </form>
{/block}
