{extends "../../layout.tpl"}
{$menuItem="admin.wp"}
{$page="admin.wp.index_assoc"}

{block "title"}
    {$lang->installed_whatsapp_notifications}
{/block}

{block "title-bottom"}
    <a
        {if $langCode === 'english'}
            href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/wiki/How-to-install-more-notifications"
        {else}
            href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/wiki/(PT)-Como-instalar-mais-notifica%C3%A7%C3%B5es"
        {/if}
        target="_blank"
    >
        <i class="fas fa-arrow-alt-down"></i> {$lang->download_more_notifications}
    </a>
{/block}
{block "content"}
    {include file="../../../modal/index.tpl"}

    {if count($notificationsList) === 0}
        {$lang->no_notifications_installed}
    {else}
        {if !$license['is_valid']}
            <div
                class="alert alert-info"
                role="alert"
            >
                {$lang->free_plan_notification_limit}
            </div>
        {/if}

        <div>
            <div class="panel panel-default">
                <div class="table-responsive">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th style="width: 5%; text-align: center;">{$lang->status}</th>
                                <th style="width: 20%;">
                                    <span
                                        data-toggle="tooltip"
                                        data-placement="top"
                                        title="Se refere ao nome do arquivo PHP da notificação."
                                    >
                                        {$lang->notification}
                                    </span>
                                </th>
                                <th style="width: 45%;">{$lang->description}</th>
                                <th style="width: 15%;">
                                    <span
                                        data-toggle="tooltip"
                                        data-placement="top"
                                        title="Caso, ativa a notificação tem um message template do WhatsApp."
                                    >
                                        {$lang->message_template}
                                    </span>
                                </th>
                                <th style="width: 15%;">
                                    <span>{$lang->actions}</span>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {foreach from=$notificationsList item=$notification key=key}
                                <tr>
                                    <td style="vertical-align: middle;">
                                        <span class="label label-{($notification['enabled']) ? 'success' : 'primary'}">
                                            {($notification['enabled']) ? {$lang->activated} : {$lang->deactivated}}
                                        </span>
                                    </td>
                                    <td style="vertical-align: middle;">
                                        {$notification['name']}
                                    </td>
                                    <td style="vertical-align: middle;">
                                        {if isset($notification['description'])}
                                            <small>{$notification['description']}</small>
                                        {else}
                                            <hr>
                                        {/if}
                                    </td>
                                    <td style="vertical-align: middle;">
                                        {if isset($notification['template'])}
                                            <small>{$notification['template']}</small>
                                        {else}
                                            <hr>
                                        {/if}
                                    </td>
                                    <td
                                        style="vertical-align: middle;">
                                        {if $notification['enabled']}
                                            <a
                                                style="width: 48%;"
                                                class="btn btn-primary btn-xs"
                                                href="?module=lknhooknotification&c=wp&r=editAssoc&notif={$notification['code']}&tpl={$notification['template']}"
                                                role=" button"
                                            >{$lang->configure}</a>
                                            <button
                                                style="width: 48%;"
                                                class="btn btn-danger btn-xs btn-disable-assoc"
                                                type="button"
                                                data-notification="{$notification['code']}"
                                                data-template="{$notification['template']}"
                                                data-key="{$key}"
                                            >
                                                {$lang->deactivate}
                                            </button>
                                        {else}
                                            <a
                                                style="width: 48%;"
                                                type="button"
                                                class="btn btn-primary btn-xs"
                                                role=" button"
                                                href="addonmodules.php?module=lknhooknotification&c=wp&r=createAssoc&notif={$notification['code']}"
                                            >
                                                {$lang->activate}
                                            </a>
                                        {/if}
                                    </td>
                                </tr>
                            {/foreach}
                        </tbody>
                    </table>
                </div>

                <div
                    class="panel-footer text-center"
                    style="font-size: 1.2em; padding: 0px;"
                >
                    <a
                        {if $langCode === 'english'}
                            href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/wiki/How-to-install-more-notifications"
                        {else}
                            href="https://github.com/LinkNacional/whmcs-whatsapp-api-notifications-open-source/wiki/(PT)-Como-instalar-mais-notifica%C3%A7%C3%B5es"
                        {/if}
                        target="_blank"
                        style="display: block; padding: 30px;"
                    >
                        <i class="fas fa-arrow-alt-down"></i> {$lang->download_more_notifications}
                    </a>
                </div>
            </div>
        </div>

        <script
            src="/modules/addons/lknhooknotification/src/resources/views/admin/pages/wp/js/index_assoc.js"
            defer
        ></script>
    {/if}
{/block}
