/* globals LknHookNotModal */
const btnsDisableAssocs = document.querySelectorAll('.btn-disable-assoc')

btnsDisableAssocs.forEach(element => {
  element.addEventListener('click', event => {
    const notification = event.target.dataset.notification
    const template = event.target.dataset.template

    const request = () => {
      fetch('/modules/addons/lknhooknotification/api.php', {
        method: 'POST',
        body: JSON.stringify({
          a: 'wp-delete-assoc',
          notification,
          template
        })
      })
        .then(res => res.json())
        .then((res) => {
          if (res.success) {
            LknHookNotModal
              .reset()
              .setTitle(window.lknHn.lang.notification_deactivated_success)
              .setSimpleBody(window.lknHn.lang.notification_deactivated_success)
              .show()

            setTimeout(() => window.location.reload(), 900)
          } else {
            LknHookNotModal
              .reset()
              .setTitle(window.lknHn.lang.notification_deactivation_failed)
              .setSimpleBody(window.lknHn.lang.notification_deactivation_failed)
              .show()
          }
        })
        .catch(() => {
          LknHookNotModal
            .reset()
            .setTitle(window.lknHn.lang.notification_deactivation_failed)
            .setSimpleBody(window.lknHn.lang.notification_deactivation_failed)
            .show()
        })
    }

    LknHookNotModal
      .setTitle(window.lknHn.lang.confirmation)
      .setSimpleBody(window.lknHn.lang.disable_notifification_confirmation)
      .setSecondaryBtnWithCallback(window.lknHn.lang.deactivate, request)
      .show()
  })
})
